var myApp = new Framework7({
  fastClicks: false
});
 
var $$ = Dom7;
 
var mainView = myApp.addView('.view-main', {
  dynamicNavbar: true
});


var app = new Vue({
  el: "#app",
  data: {
    count: 7,
    iteration: -1,
    min: null,
    idxMin: -1,
    stop: false,
    newMin: false,
    numbers1: [],
    numbers2: [],
  },
  methods: {
    initArray: function(){
      var num;
      for (var i = 0; i < this.count; i++){
        num = Math.floor(Math.random() * 200) - 100;
        Vue.set(this.numbers1, i, num);
        Vue.set(this.numbers2, i, num);
      };
      this.stop = false;
      this.min = null;
      this.idxMin = -1;
      this.iteration = -1;
      this.newMin = false;

      this.nextStep();
    },
    nextStep: function(){
      
      this.iteration++;
      //this.newMin = false;
      var temp = null;

      if (this.iteration == 0){
        for (var i = 0; i < this.count; i++){
          if (this.numbers2[i] < this.min){
            this.min = this.numbers2[i];
            this.idxMin = i;

            this.newMin = true;
          }
        }
        return;        
      }

      if (this.iteration == this.count){
        this.stop = true;
        return;
      }

      if (this.newMin){
        temp = this.numbers2[this.iteration-1];
        Vue.set(this.numbers2, this.iteration-1, this.numbers2[this.idxMin]);
        Vue.set(this.numbers2, this.idxMin, temp);

        this.newMin = false;
      };

      this.min = this.numbers2[this.iteration];
      for (var i = this.iteration; i < this.count; i++){
        if (this.numbers2[i] < this.min){
          this.min = this.numbers2[i];
          this.idxMin = i;

          this.newMin = true;


        }
      }
    }


  },
  computed: {
    getSign: function(){
      return this.numbers2[this.j] < this.numbers2[this.j+1] ? "<" : this.numbers2[this.j] == this.numbers2[this.j+1] ? "=" : ">";
    },
    change: function(){
      return this.getSign == ">" ? true : false;
    }
  },
  created: function(){
    this.initArray();
    
  }
});

